player_ranger_geom Struct Reference

Data and Request/reply: Get geometry. More...

`#include <player_interfaces.h>`

## Public Attributes

player_pose3d_t | pose
| Device centre pose in robot CS [m, m, m, rad, rad, rad]. More...
player_bbox3d_t | size
| Size of the device [m, m, m]. More...
uint32_t | element_poses_count
| Number of individual elements that make up the device. More...
player_pose3d_t * | element_poses
| Pose of each individual element that makes up the device (in device CS). More...
uint32_t | element_sizes_count
| Number of individual elements that make up the device. More...
player_bbox3d_t * | element_sizes
| Size of each individual element that makes up the device. More...

## Detailed Description

Data and Request/reply: Get geometry.

(PLAYER_RANGER_REQ_GET_GEOM)

The ranger device position, orientation and size.

## Member Data Documentation

player_pose3d_t* player_ranger_geom::element_poses

Pose of each individual element that makes up the device (in device CS).

Referenced by ToRanger::Setup(), and ToRanger::Shutdown().

uint32_t player_ranger_geom::element_poses_count

Number of individual elements that make up the device.

player_bbox3d_t* player_ranger_geom::element_sizes

Size of each individual element that makes up the device.

Referenced by ToRanger::Setup(), and ToRanger::Shutdown().

uint32_t player_ranger_geom::element_sizes_count

Number of individual elements that make up the device.

player_pose3d_t player_ranger_geom::pose

Device centre pose in robot CS [m, m, m, rad, rad, rad].

player_bbox3d_t player_ranger_geom::size

Size of the device [m, m, m].

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45